Default [Q] upgrade safestrap?

Is there a way to upgrade my safestrap to 3.7? I am on ME7. I am trying to install Hyperdrive and with no luck has this happened. I tried version 16.1 and realized that was for kit kat. then 10.1 and it still did not work.

Is there any possible way for ME7 to get upgraded to kit kat and keep root? i keep seeing pages where 4.3 can get upgraded but nowhere with 4.2.2